Subject: Re: bug#22112: 24.5; lockup in shell-script-mode with missing newline at eof

From: Alan J Third <[email-masked]>
Date: Fri, 08 Jan 2016 20:13:21 +0000

Alan Third <[email-masked]> writes:

> I've managed to replicate this on a Windows PC: GNU Emacs 24.5.1
> (i686-pc-mingw32) of 2015-04-11 on LEG570
>
> Run emacs -Q
>
> Evaluate:
>
> (show-paren-mode +1)
>
> Open a new shell script buffer:
>
> C-x b test <RET> M-x shell-script-mode
>
> and type:
>
> if<left arrow>
>
> If I don't turn on show-paren-mode there is no hang and Emacs carries
> on happily.

I can't reproduce this against Emacs 25.1.50.1 so I'm marking it as
fixed. If you later upgrade and it's still broken for you, please
reopen the bug.

-- 
Alan Third